> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vocode.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Action



## OpenAPI

````yaml get /v1/actions
openapi: 3.1.0
info:
  title: Vocode Hosted API
  description: |2-

            Vocode's Hosted API helps you automate phone calls in minutes. 🚀

            ## Numbers

            You can buy phone lines and place agents on them.

            ## Calls

            You can start, end, and get information about calls.
            
  termsOfService: http://example.com/terms/
  contact:
    name: Support
    email: support@vocode.dev
  version: 1.0.0
servers:
  - url: https://api.vocode.dev
    description: Production environment
    x-fern-server-name: Production
security: []
tags:
  - name: numbers
    description: Operations with phone numbers.
  - name: calls
    description: Manage calls.
paths:
  /v1/actions:
    get:
      tags:
        - actions
      summary: Get Action
      operationId: get_action
      parameters:
        - name: id
          in: query
          required: true
          schema:
            type: string
            format: uuid
            title: Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActionResponseModel'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ActionResponseModel:
      oneOf:
        - $ref: '#/components/schemas/TransferCallAction'
        - $ref: '#/components/schemas/EndConversationAction'
        - $ref: '#/components/schemas/DTMFAction'
        - $ref: '#/components/schemas/AddToConferenceAction'
        - $ref: '#/components/schemas/SetHoldAction'
        - $ref: '#/components/schemas/ExternalAction'
      title: ActionResponseModel
      discriminator:
        propertyName: type
        mapping:
          action_add_to_conference: '#/components/schemas/AddToConferenceAction'
          action_dtmf: '#/components/schemas/DTMFAction'
          action_end_conversation: '#/components/schemas/EndConversationAction'
          action_external: '#/components/schemas/ExternalAction'
          action_set_hold: '#/components/schemas/SetHoldAction'
          action_transfer_call: '#/components/schemas/TransferCallAction'
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TransferCallAction:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        user_id:
          type: string
          format: uuid
          title: User Id
        type:
          type: string
          enum:
            - action_transfer_call
          const: action_transfer_call
          title: Type
        config:
          $ref: '#/components/schemas/TransferCallConfig'
        action_trigger:
          oneOf:
            - $ref: '#/components/schemas/FunctionCallActionTrigger'
            - $ref: '#/components/schemas/PhraseBasedActionTrigger-Output'
          title: Action Trigger
          default:
            type: action_trigger_function_call
            config: {}
          discriminator:
            propertyName: type
            mapping:
              action_trigger_function_call: '#/components/schemas/FunctionCallActionTrigger'
              action_trigger_phrase_based: '#/components/schemas/PhraseBasedActionTrigger-Output'
      type: object
      required:
        - id
        - user_id
        - type
        - config
      title: TransferCallAction
    EndConversationAction:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        user_id:
          type: string
          format: uuid
          title: User Id
        type:
          type: string
          enum:
            - action_end_conversation
          const: action_end_conversation
          title: Type
        config:
          $ref: '#/components/schemas/EmptyActionConfig'
        action_trigger:
          oneOf:
            - $ref: '#/components/schemas/FunctionCallActionTrigger'
            - $ref: '#/components/schemas/PhraseBasedActionTrigger-Output'
          title: Action Trigger
          default:
            type: action_trigger_function_call
            config: {}
          discriminator:
            propertyName: type
            mapping:
              action_trigger_function_call: '#/components/schemas/FunctionCallActionTrigger'
              action_trigger_phrase_based: '#/components/schemas/PhraseBasedActionTrigger-Output'
      type: object
      required:
        - id
        - user_id
        - type
      title: EndConversationAction
    DTMFAction:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        user_id:
          type: string
          format: uuid
          title: User Id
        type:
          type: string
          enum:
            - action_dtmf
          const: action_dtmf
          title: Type
        config:
          $ref: '#/components/schemas/EmptyActionConfig'
        action_trigger:
          allOf:
            - $ref: '#/components/schemas/FunctionCallActionTrigger'
          default:
            type: action_trigger_function_call
            config: {}
      type: object
      required:
        - id
        - user_id
        - type
      title: DTMFAction
    AddToConferenceAction:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        user_id:
          type: string
          format: uuid
          title: User Id
        type:
          type: string
          enum:
            - action_add_to_conference
          const: action_add_to_conference
          title: Type
        config:
          $ref: '#/components/schemas/AddToConferenceConfig'
        action_trigger:
          oneOf:
            - $ref: '#/components/schemas/FunctionCallActionTrigger'
            - $ref: '#/components/schemas/PhraseBasedActionTrigger-Output'
          title: Action Trigger
          default:
            type: action_trigger_function_call
            config: {}
          discriminator:
            propertyName: type
            mapping:
              action_trigger_function_call: '#/components/schemas/FunctionCallActionTrigger'
              action_trigger_phrase_based: '#/components/schemas/PhraseBasedActionTrigger-Output'
      type: object
      required:
        - id
        - user_id
        - type
        - config
      title: AddToConferenceAction
    SetHoldAction:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        user_id:
          type: string
          format: uuid
          title: User Id
        type:
          type: string
          enum:
            - action_set_hold
          const: action_set_hold
          title: Type
        config:
          $ref: '#/components/schemas/EmptyActionConfig'
        action_trigger:
          oneOf:
            - $ref: '#/components/schemas/FunctionCallActionTrigger'
            - $ref: '#/components/schemas/PhraseBasedActionTrigger-Output'
          title: Action Trigger
          default:
            type: action_trigger_function_call
            config: {}
          discriminator:
            propertyName: type
            mapping:
              action_trigger_function_call: '#/components/schemas/FunctionCallActionTrigger'
              action_trigger_phrase_based: '#/components/schemas/PhraseBasedActionTrigger-Output'
      type: object
      required:
        - id
        - user_id
        - type
      title: SetHoldAction
    ExternalAction:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        user_id:
          type: string
          format: uuid
          title: User Id
        type:
          type: string
          enum:
            - action_external
          const: action_external
          title: Type
        config:
          $ref: '#/components/schemas/ExternalActionConfig'
        action_trigger:
          allOf:
            - $ref: '#/components/schemas/FunctionCallActionTrigger'
          default:
            type: action_trigger_function_call
            config: {}
      type: object
      required:
        - id
        - user_id
        - type
        - config
      title: ExternalAction
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    TransferCallConfig:
      properties:
        phone_number:
          type: string
          title: Phone Number
      type: object
      required:
        - phone_number
      title: TransferCallConfig
    FunctionCallActionTrigger:
      properties:
        type:
          type: string
          enum:
            - action_trigger_function_call
          const: action_trigger_function_call
          title: Type
        config:
          $ref: '#/components/schemas/FunctionCallActionTriggerConfig'
      type: object
      required:
        - type
      title: FunctionCallActionTrigger
    PhraseBasedActionTrigger-Output:
      properties:
        type:
          type: string
          enum:
            - action_trigger_phrase_based
          const: action_trigger_phrase_based
          title: Type
        config:
          $ref: '#/components/schemas/PhraseBasedActionTriggerConfig'
      type: object
      required:
        - type
        - config
      title: PhraseBasedActionTrigger
    EmptyActionConfig:
      properties: {}
      type: object
      title: EmptyActionConfig
    AddToConferenceConfig:
      properties:
        phone_number:
          type: string
          title: Phone Number
        place_primary_on_hold:
          type: boolean
          title: Place Primary On Hold
          default: true
      type: object
      required:
        - phone_number
      title: AddToConferenceConfig
    ExternalActionConfig:
      properties:
        processing_mode:
          type: string
          enum:
            - muted
          const: muted
          title: Processing Mode
          default: muted
        name:
          type: string
          title: Name
        description:
          type: string
          title: Description
        url:
          type: string
          title: Url
        input_schema:
          type: object
          title: Input Schema
        speak_on_send:
          type: boolean
          title: Speak On Send
        speak_on_receive:
          type: boolean
          title: Speak On Receive
        signature_secret:
          type: string
          title: Signature Secret
      type: object
      required:
        - name
        - description
        - url
        - input_schema
        - speak_on_send
        - speak_on_receive
      title: ExternalActionConfig
    FunctionCallActionTriggerConfig:
      properties: {}
      type: object
      title: FunctionCallActionTriggerConfig
    PhraseBasedActionTriggerConfig:
      properties:
        phrase_triggers:
          items:
            $ref: '#/components/schemas/PhraseTrigger'
          type: array
          title: Phrase Triggers
      type: object
      required:
        - phrase_triggers
      title: PhraseBasedActionTriggerConfig
    PhraseTrigger:
      properties:
        phrase:
          type: string
          title: Phrase
        conditions:
          items:
            type: string
            enum:
              - phrase_condition_type_contains
            const: phrase_condition_type_contains
          type: array
          title: Conditions
      type: object
      required:
        - phrase
        - conditions
      title: PhraseTrigger
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````